Package org.bgerp.model.base.tree

# Class IdStringTitleTreeItem

java.lang.Object
org.bgerp.model.base.tree.TreeItem<String,IdStringTitleTreeItem>
org.bgerp.model.base.tree.IdStringTitleTreeItem

All Implemented Interfaces:
  `Id<String>`, `IdTitle<String>`, `Title`, `TreeItem<String,IdStringTitleTreeItem>`

public class IdStringTitleTreeItem extends TreeItem<String,IdStringTitleTreeItem>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static Comparator<IdStringTitleTreeItem>`
  `COMPARATOR`
  Comparator items by keys.

  ### Fields inherited from class org.bgerp.model.base.tree.TreeItem

  `children, id, parentId, title`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdStringTitleTreeItem()`
  `IdStringTitleTreeItem(String id, String title, String parentId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Integer>`
  `getIds()`
  `String`
  `getTitle()`
  `protected boolean`
  `isRootNode()`
  `void`
  `setId(String id)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class org.bgerp.model.base.tree.TreeItem

  `addChild, getAllChildIds, getById, getChild, getChildCount, getChildIds, getChildren, getIcon, getId, getParentId, getTextStyle, isInPathTo, isRootNodeWithIntegerId, setChildren, setParentId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### COMPARATOR

    public static Comparator<IdStringTitleTreeItem> COMPARATOR
    Comparator items by keys.

- ## Constructor Details

  - ### IdStringTitleTreeItem

    public IdStringTitleTreeItem()

  - ### IdStringTitleTreeItem

    public IdStringTitleTreeItem(String id, String title, String parentId)

- ## Method Details

  - ### setId

    public void setId(String id)
    Overrides:
      `setId` in class `TreeItem<String,IdStringTitleTreeItem>`

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `Title`
    Overrides:
      `getTitle` in class `TreeItem<String,IdStringTitleTreeItem>`

  - ### setTitle

    public void setTitle(String title)
    Overrides:
      `setTitle` in class `TreeItem<String,IdStringTitleTreeItem>`

  - ### getIds

    public List<Integer> getIds()

  - ### isRootNode

    protected boolean isRootNode()
    Specified by:
      `isRootNode` in class `TreeItem<String,IdStringTitleTreeItem>`